SSO Authorization

This endpoint needs to be implemented in case the channel wants to support login and authorization from an external platform.

The data that identifies a customer is sent as a payload, the response should be an authorization code.

The authorization code is then sent as a query parameter to the same url in a REDIRECT request. The channel should then exchange the authorization code for an internal access token and redirect the user back again to the ordering experience.

The url when the authorization request will be performed, should be returned in the response of the register channel endpoint in the field authorizationURL.

Body Params
string
required
string

url to redirect after the authorization is completed

string

SSO verified customer (firstName, lastName, email, phoneNumber, providerId)

string

email of the customer

string

phone number of the customer

string

name of the customer

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json